<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('transaksis', function (Blueprint $table) {
            $table->id();
            $table->foreignId('pembeli_id')->constrained('pembelis')->onDelete('cascade');
            $table->foreignId('petani_id')->constrained('petanis')->onDelete('cascade');
            $table->dateTime('tanggal_transaksi');
            $table->text('alamat_pengiriman');
            $table->decimal('total_harga', 15, 0);
            $table->enum('status', ['menunggu konfirmasi', 'diproses', 'dikirim', 'selesai', 'batal'])
                ->default('menunggu konfirmasi');

            $table->string('kode_invoice')->unique()->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('transaksis');
    }
};
